summaryrefslogtreecommitdiffstats
path: root/desktop/wmsorsen/wmsorsen.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/wmsorsen/wmsorsen.SlackBuild')
-rw-r--r--desktop/wmsorsen/wmsorsen.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/desktop/wmsorsen/wmsorsen.SlackBuild b/desktop/wmsorsen/wmsorsen.SlackBuild
new file mode 100644
index 0000000000..94dacb5bda
--- /dev/null
+++ b/desktop/wmsorsen/wmsorsen.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/bash
+
+# Slackware build script for wmsorsen
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wmsorsen
+VERSION=${VERSION:-0.10.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+cd $PRGNAM
+
+# minor c++11 violation, shut the warning up.
+sed -i 's,"VERSION"," VERSION ",' $PRGNAM.cc
+
+make CFLAGS="-Wall -fcommon $SLKCFLAGS"
+# don't 'make install', hardcoded to /usr/local/bin, doesn't install docs.
+
+install -D -s $PRGNAM $PKG/usr/bin/$PRGNAM
+install -D wmsorsenrc $PKG/etc/wmsorsenrc.sample
+
+cd ..
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a README CHANGELOG COPYING $PKGDOC
+cat $CWD/README > $PKGDOC/README_SBo.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE